# Bank List

## Nigeria Bank List

<mark style="color:blue;">`GET`</mark> `{{base_url}}/banklist`

#### Headers

| Name                                            | Type       | Description                      |
| ----------------------------------------------- | ---------- | -------------------------------- |
| authorization<mark style="color:red;">\*</mark> | PUBLIC KEY | Set value to `Bearer PUBLIC_KEY` |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "status": true,
    "message": "Bank List Retrieved",
    "banklist": [        
        {
            "code": "000001",
            "bname": "STERLING BANK"
        },
        {
            "code": "000002",
            "bname": "KEYSTONE BANK"
        },
        {
            "code": "000003",
            "bname": "FIRST CITY MONUMENT BANK"
        },
        {
            "code": "000004",
            "bname": "UNITED BANK FOR AFRICA"
        },
        {
            "code": "090123",
            "bname": "TRUSTBANC J6 MICROFINANCE BANK LIMITED"
        },
        {
            "code": "000006",
            "bname": "JAIZ BANK"
        },
        {
            "code": "000007",
            "bname": "FIDELITY BANK"
        },
        {
            "code": "000008",
            "bname": "POLARIS BANK"
        },
        {
            "code": "000009",
            "bname": "CITI BANK"
        },
        
        {
            "code": "090286",
            "bname": "SAFE HAVEN MICROFINANCE BANK"
        },
        {
            "code": "090283",
            "bname": "NNEW WOMEN MICROFINANCE BANK"
        },
        {
            "code": "090331",
            "bname": "UNAAB MICROFINANCE BANK"
        },
        {
            "code": "090252",
            "bname": "YOBE MICROFINANCE  BANK"
        }
    ]
}
```

{% endtab %}
{% endtabs %}

Take a look at how you might do this:

{% tabs %}
{% tab title="cURL" %}

```
curl --location --request GET 'https://api.oneappgo.com/v1/banklist' \
--header 'Authorization: Bearer PUBLIC_KEY'
```

{% endtab %}

{% tab title="NodeJS" %}

```
var request = require('request');
var options = {
  'method': 'GET',
  'url': 'https://api.oneappgo.com/v1/banklist',
  'headers': {
    'Authorization': 'Bearer PUBLIC_KEY'
  },
  formData: {

  }
};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});

```

{% endtab %}

{% tab title="PHP - cURL" %}

```

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.oneappgo.com/v1/banklist',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer PUBLIC_KEY'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
```

{% endtab %}

{% tab title="Python" %}

```
import requests

url = "https://api.oneappgo.com/v1/banklist"

payload={}
files={}
headers = {
  'Authorization': 'Bearer PUBLIC_KEY'
}

response = requests.request("GET", url, headers=headers, data=payload, files=files)

print(response.text)

```

{% endtab %}

{% tab title="Dart" %}

```
var headers = {
  'Authorization': 'Bearer PUBLIC_KEY'
};
var request = http.MultipartRequest('GET', Uri.parse('https://api.oneappgo.com/v1/banklist'));

request.headers.addAll(headers);

http.StreamedResponse response = await request.send();

if (response.statusCode == 200) {
  print(await response.stream.bytesToString());
}
else {
  print(response.reasonPhrase);
}

```

{% endtab %}
{% endtabs %}

### Sample Response

```
{
    "status": true,
    "message": "Bank List Retrieved",
    "banklist": [        
        {
            "code": "000001",
            "bname": "STERLING BANK"
        },
        {
            "code": "000002",
            "bname": "KEYSTONE BANK"
        },
        {
            "code": "000003",
            "bname": "FIRST CITY MONUMENT BANK"
        },
        {
            "code": "000004",
            "bname": "UNITED BANK FOR AFRICA"
        },
        {
            "code": "090123",
            "bname": "TRUSTBANC J6 MICROFINANCE BANK LIMITED"
        },
        {
            "code": "000006",
            "bname": "JAIZ BANK"
        },
        {
            "code": "000007",
            "bname": "FIDELITY BANK"
        },
        {
            "code": "000008",
            "bname": "POLARIS BANK"
        },
        {
            "code": "000009",
            "bname": "CITI BANK"
        },
        
        {
            "code": "090286",
            "bname": "SAFE HAVEN MICROFINANCE BANK"
        },
        {
            "code": "090283",
            "bname": "NNEW WOMEN MICROFINANCE BANK"
        },
        {
            "code": "090331",
            "bname": "UNAAB MICROFINANCE BANK"
        },
        {
            "code": "090252",
            "bname": "YOBE MICROFINANCE  BANK"
        }
    ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.1app.online/v1-1/bank-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
